# Define the kmod package name here.
%define kmod_name r8192se

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %define kversion 2.6.32-71.el6.%{_target_cpu}}

Name:    %{kmod_name}-kmod
Version: 0018.1025.2010
Release: 1%{?dist}
Group:   System Environment/Kernel
License: GPL v2
Summary: %{kmod_name} kernel module(s)
URL:     http://www.realtek.com.tw/

BuildRequires: rpm-build, redhat-rpm-config
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-build-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources.
Source0:  rtl8192se_linux_2.6.%{version}.tar.gz
Source5:  GPL-v2.0.txt
Source10: kmodtool-el6-%{kmod_name}.sh

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kversion} "" 2>/dev/null)}

# Disable the building of the debug package(s).
%define	debug_package %{nil}

%description
This package provides the kernel module(s) for Realtek RTL819x WiFi cards.
It is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

%prep
%setup -q -n rtl8192se_linux_2.6.%{version}
%{__cp} -a %{SOURCE5} .
%{__cat} <<-EOF > %{kmod_name}.conf
	override %{kmod_name} * weak-updates/%{kmod_name}
	EOF

%build
%{__make} KSRC=/usr/src/kernels/%{kversion}

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{kmod_name}
%{__install} -d ${INSTALL_MOD_PATH}/lib/modules/%{kversion}${kvariant}/${INSTALL_MOD_DIR}/
%{__install} HAL/rtl8192/r8192se_pci.ko ${INSTALL_MOD_PATH}/lib/modules/%{kversion}${kvariant}/${INSTALL_MOD_DIR}/
%{__install} -d ${INSTALL_MOD_PATH}/lib/firmware/RTL8192SE/
%{__install} firmware/RTL8192SE/* ${INSTALL_MOD_PATH}/lib/firmware/RTL8192SE/
%{__install} -d ${INSTALL_MOD_PATH}/etc/depmod.d/
%{__install} %{kmod_name}.conf ${INSTALL_MOD_PATH}/etc/depmod.d/
%{__install} -d ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} GPL-v2.0.txt ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} readme.txt ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} release_note ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} runwpa ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} wlan0dhcp ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} wlan0down ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} wlan0up ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} wpa1.conf ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} firmware/RTL8192SE/Realtek-Firmware-License.txt ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} realtek/RadioPower.sh ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} realtek/wireless-rtl-ac-dc-power.sh ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
%{__install} rtllib/license ${INSTALL_MOD_PATH}/usr/share/doc/%{kmod_name}-%{version}/
# Strip the module(s).
find ${INSTALL_MOD_PATH} -type f -name \*.ko -exec %{__strip} --strip-debug \{\} \;
# Remove the files that are not required.
%{__rm} -f ${INSTALL_MOD_PATH}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 26 2010 Alan Bartlett <ajb@elrepo.org> - 0018.1025.2010-1
- Initial el6 build of the kmod package.

